//
// Created by sebastian on 10.02.26.
//

#include "UiContainer.h"

UiContainer::UiContainer(){
    uiPositioner.screenSpace.set(0.f, 0.f, 1.f, 1.f);
}

bool UiContainer::isMouseOver(float mouseX, float mouseY) {
    for (const auto &child : children) {
        if (child->isMouseOver(mouseX, mouseY)) return true;
    }
    return false;
}

void UiContainer::onUpdate(float x) {

}

void UiContainer::onCollectRenderData(UiRenderBundle& render_bundle) {

}

